# Cloudstack PaaS

- Enabled: {{ cloudstack.paas.enabled }}
- Cloudstack Namespace: {{ cloudstack.namespace }}

{% for plugin in cloudstack.plugins %}
{% if plugin == "core" %}
### {{ plugin }}

- Version: {{ cloudstack[plugin]["version"] }}
- Namespace: {{ cloudstack["namespace"] }}

{% elif cloudstack[plugin]["enabled"]|bool %}
### {{ plugin }}

- Version: {{ cloudstack[plugin]["version"] }}
{% if cloudstack[plugin]["chart"] is defined %}
- Chart Name: {{ cloudstack[plugin]["chart"]["name"] }}
- Chart Repo: {{ cloudstack[plugin]["chart"]["repo"]["url"] }}
{% endif %}
{% if cloudstack[plugin]["subdomain"] is defined %}
- Subdomain: {{ cloudstack[plugin]["subdomain"] }}
- URL: {{ ingress_protocol }}://{{ cloudstack[plugin]["subdomain"] }}.{{ cloudstack["stack"]["hostname"] }}
{% endif %}
- Namespace: {{ cloudstack[plugin]["namespace"] }}
{% endif %}
{% endfor %}